local json = require("json")
local utils = require("utils")
local const = require("const")
local request_method = ngx.var.request_method

utils.check_login()
_, login_token = utils.check_permission("StreamCompute")

if "POST" == request_method then
    local utils_header = require("utils_header")
    local params = utils_header.check_public_body_data()
    local taskNO  = params["TaskNO"]

    if taskNO == nil or type(taskNO) ~= "string" then
        utils.error_exit(400, "TaskNO must not be null")
    end
    
    local cmd = {}

    cmd["id"] = taskNO

    local ok, msg_raw, err = utils.dbus_call_edge(const.stream_compute.wkn,
                                        const.stream_compute.obj,
                                        const.stream_compute.inf,
                                        const.stream_compute.method.getJobDetail,
                                        json.encode(cmd))

    local msg_ret = {}
    if (ok and msg_raw) then
        local ok, msg = pcall(json.decode, msg_raw[1])
        if (ok and 0 == msg["code"]) then
            msg_ret["TaskNO"] = taskNO
            msg_ret["TaskContent"] = msg["data"]["content"]
            msg_ret["Status"] = msg["data"]["running"]
        else
            utils.error_exit(500, json.encode("failed to query: "..msg_raw[1]))
        end
    else
        utils.error_exit(500, json.encode("failed to query: "..err))
    end 

    utils.error_exit(200, json.encode(msg_ret)) 

end
utils.error_exit(400, "unsupported request method")

